Loading...
Searching...
No Matches
caf::handle< Subtype, InvalidType, InvalidId > Class Template Reference

Base class for IO handles such as accept_handle or connection_handle. More...

`#include <handle.hpp>`

Inheritance diagram for caf::handle< Subtype, InvalidType, InvalidId >:

## Public Member Functions

| handle (const Subtype &other)
| handle (const handle &other)=default
handle & | operator= (const handle &other)
handle & | operator= (const InvalidType &)
int64_t | id () const
| Returns the unique identifier of this handle.
void | set_id (int64_t value)
| Sets the unique identifier of this handle.
int64_t | compare (const Subtype &other) const
int64_t | compare (const InvalidType &) const
bool | invalid () const
void | set_invalid ()

## Static Public Member Functions

static Subtype | from_int (int64_t id)

## Protected Member Functions

| handle (int64_t handle_id)

## Protected Attributes

int64_t | id_

## Friends

std::string | to_string (const Subtype &x)

## Detailed Description

template<class Subtype, class InvalidType, int64_t InvalidId = -1>
class caf::handle< Subtype, InvalidType, InvalidId >

Base class for IO handles such as accept_handle or connection_handle.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/handle.hpp